#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2

# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2023-08-05
# File  : vzlogger.py
#
# vzlogger
#

from cmk.gui.i18n import _
from cmk.gui.plugins.metrics.utils import (
    metric_info,
    perfometer_info,
)

metric_info['meter_reading'] = {
    'title': _('Meter reading'),
    'unit': 'wh',
    'color': '41/a',
}


perfometer_info.append({
    'type': 'logarithmic',
    'metric': 'meter_reading',
    'half_value': 50000000.0,  # 50MWh
    'exponent': 4,
})
